std::is_null_pointer< _Tp >(3)

NAME
std::is_null_pointer< _Tp > - is_null_pointer (LWG 2247).

SYNOPSIS

Inherits std::integral_constant< _Tp, __v >.

Inherited by std::__is_nullptr_t< _Tp >.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Public Member Functions
constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes
static constexpr _Tp value

Detailed Description

  template<typename _Tp>
struct std::is_null_pointer< _Tp >" is_null_pointer (LWG 2247).

Definition at line 513 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.